ThreeDSAuthenticationOutcome

Gives the result of the 3D Secure App Authentication.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
trackingNumberString1-255 characters✓Tracking number of the card being used for the transaction
customerReferenceString✓Customer reference this card is linked to
threeDSTransactionIDString✓The original transactionID that was supplied to the client in the 3DSecureAppAuthentication message.
statusString✓0 – fully authenticated; 1 – authentication failed; 2 – timeout with cardholder’s app; 3 – general error
errorMessageStringMessage to be displayed to the cardholder
transactionIDString✓The unique transaction id provided by the ACS
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

Response Parameters

FieldtypeDescription
terminalIDStringEcho
trackingNumberStringEcho
customerReferenceStringEcho
threeDsTransactionIDStringEcho
statusStringEcho
errorMessageStringEcho
clientTransactionIDStringEcho
serverTransactionIDStringTransaction id number generated by Paymentology
resultCodeIntegerCode indicating transaction result
resultTextStringText indicating transaction result